# $Revision: 1.19 $, $Date: 2002/08/10 23:44:34 $
Summary:	A library for handling encrypted dvds
Summary(pl):	Biblioteka do obsugi zakodowanych DVD
Name:		a52dec
Version:	0.7.4
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://liba52.sourceforge.net/files/%{name}-%{version}.tar.gz
URL:		http://liba52.sourceforge.net
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_libdir		/usr/lib
%define		_includedir	/usr/include

%description
liba52 is a free library for decoding ATSC A/52 streams. It is
released under the terms of the GPL license. The A/52 standard is used
in a variety of applications, including digital television and DVD. It
is also known as AC-3.

%description -l pl
liba52 jest wolnodostpn (na licencji GPL) bibliotek do dekodowania
strumieni ATSC A/52. Standard A/52 jest uywany w wielu
zastosowaniach, w tym cyfrowej telewizji i DVD. Jest znany take jako
AC-3.

%package libs
Summary:	Biblioteki a52dec
Summary(pl):	Pakiet z bibliotekami a52dec
Group:		Development/Libraries

%description libs
%{name}-devel includes development files for %{name}.

%description libs -l pl
Pliki dla programistw a52dec.

%package libs-devel
Summary:	%{name} development package
Summary(pl):	Pakiet %{name} dla programistw
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description libs-devel
%{name}-devel includes development files for %{name}.

%description libs-devel -l pl
Pliki dla programistw a52dec.

%package libs-static
Summary:	Biblioteki a52dec
Summary(pl):	Pakiet z bibliotekami a52dec
Group:		Development/Libraries

%description libs-static
%{name}-devel includes development files for %{name}.

%description libs-static -l pl
Pliki dla programistw a52dec.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*

%files libs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/*

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/*.a
%attr(755,root,root) %{_libdir}/*.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: a52dec.spec,v $
Revision 1.19  2002/08/10 23:44:34  marcus
- updated to 0.7.4

Revision 1.18  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/06/11 14:44:05  wrobell
- fixed url

Revision 1.16  2002/05/22 23:15:36  kloczek
- use %doc packing infrastructure.

Revision 1.15  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 15:40:38  arturs
fixed a small typo

Revision 1.13  2002/04/08 14:40:42  qboosh
- removed %%{_mandir}/man1 dir from package; release 2

Revision 1.12  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/03/07 07:16:36  kloczek
- updated to 0.7.3 (bugfix release).

Revision 1.10  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2002/01/18 00:08:57  kloczek
- X11/ is back in main but redefine %%_libdir and %%_includedir.

Revision 1.7  2002/01/18 00:02:47  kloczek
- s#X11/##

Revision 1.6  2002/01/17 23:52:17  kloczek
- bump release to 2.

Revision 1.5  2002/01/17 23:51:53  kloczek
- cosmetics.

Revision 1.4  2002/01/14 11:47:22  wrobell
- this software does not depend on X11 libs

Revision 1.3  2002/01/14 11:44:44  wrobell
- libs, libs-devel (replaces devel) and libs-static subpackages
- building shared libraries enabled
- ver. 0.7.2
- stb

Revision 1.2  2001/10/10 14:31:13  qboosh
- pl translations, BuildRequires: autoconf,automake,libtool

Revision 1.1  2001/10/08 15:07:49  baggins
- initial revision
